from flask import Flask, jsonify

import detection


app = Flask(__name__)
app.register_blueprint(detection.blueprint)


@app.route('/', methods=['GET'])
def home_GET():
    return jsonify({
        'status': 'success',
        'name': 'webcontrol',
        'description': 'This is a custom webcontrol API for Frigate that allows minimal control over the NVR system through an HTTP API'
    }), 200


if __name__ == '__main__':
    app.run(host='0.0.0.0', port=80, debug=False)
